io.vertx.rxjava.ext.web.handler

## Interface AuthHandler

- All Superinterfaces:
    AuthenticationHandler, Handler<RoutingContext>

      public interface AuthHandler
      extends AuthenticationHandler, Handler<RoutingContext>

  Base interface for auth handlers.

  An auth handler allows your application to provide authentication/authorization support.

  Auth handler requires a `SessionHandler` to be on the routing chain before it.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuthHandler` | `addAuthorities(Set<String> authorities)` Deprecated.
    `AuthHandler` | `addAuthority(String authority)` Deprecated.
    `String` | `authenticateHeader(RoutingContext context)` Deprecated.
    `void` | `authorize(User user)` Deprecated.
    `void` | `authorize(User user, Handler<AsyncResult<Void>> handler)` Deprecated.
    `AuthHandler` | `getDelegate()`
    `void` | `handle(RoutingContext event)` Deprecated.
    `static AuthHandler` | `newInstance(AuthHandler arg)`
    `void` | `postAuthentication(RoutingContext ctx)` Deprecated.
    `Single<Void>` | `rxAuthorize(User user)` Deprecated.

    - ### Methods inherited from interface io.vertx.rxjava.ext.web.handler.AuthenticationHandler

      `newInstance`

- - ### Method Detail

    - #### getDelegate

          AuthHandler getDelegate()

      Specified by:
        `getDelegate` in interface `AuthenticationHandler`

    - #### handle

          @Deprecated
          void handle(RoutingContext event)

      Deprecated.
      Something has happened, so handle it.
      Specified by:
        `handle` in interface `AuthenticationHandler`
      Specified by:
        `handle` in interface `Handler<RoutingContext>`
      Parameters:
        `event` - the event to handle

    - #### authenticateHeader

          @Deprecated
          String authenticateHeader(RoutingContext context)

      Deprecated.
      Returns
      Specified by:
        `authenticateHeader` in interface `AuthenticationHandler`
      Parameters:
        `context` -
      Returns:

    - #### postAuthentication

          @Deprecated
          void postAuthentication(RoutingContext ctx)

      Deprecated.
      This method is called to perform any post authentication tasks, such as redirects. Overrides must call context.next() on success.
      Specified by:
        `postAuthentication` in interface `AuthenticationHandler`
      Parameters:
        `ctx` - the routing context

    - #### addAuthority

          @Deprecated
          AuthHandler addAuthority(String authority)

      Deprecated.
      Add a required authority for this auth handler
      Parameters:
        `authority` - the authority
      Returns:
        a reference to this, so the API can be used fluently

    - #### addAuthorities

          @Deprecated
          AuthHandler addAuthorities(Set<String> authorities)

      Deprecated.
      Add a set of required authorities for this auth handler
      Parameters:
        `authorities` - the set of authorities
      Returns:
        a reference to this, so the API can be used fluently

    - #### authorize

          @Deprecated
          void authorize(User user,
                                     Handler<AsyncResult<Void>> handler)

      Deprecated.
      Authorizes the given user against all added authorities.
      Parameters:
        `user` - a user.
        `handler` - the handler for the result.

    - #### authorize

          @Deprecated
          void authorize(User user)

      Deprecated.
      Authorizes the given user against all added authorities.
      Parameters:
        `user` - a user.

    - #### rxAuthorize

          @Deprecated
          Single<Void> rxAuthorize(User user)

      Deprecated.
      Authorizes the given user against all added authorities.
      Parameters:
        `user` - a user.
      Returns:

    - #### newInstance

          static AuthHandler newInstance(AuthHandler arg)

Copyright © 2021 Eclipse. All rights reserved.